Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.bundling
Class Zip

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.bundling.AbstractArchiveTask
              org.gradle.api.tasks.bundling.Zip

    class Zip
    extends AbstractArchiveTask

author:
  Hans Dockter

Property Summary
`static java.lang.String` | `ZIP_EXTENSION`
`AntZip` | `antZip`

Constructor Summary
`Zip()`

Method Summary
`groovy.lang.Closure` | `createAntArchiveTask()`
`AntZip` | `getAntZip()`
`void` | `setAntZip(AntZip antZip)`
`ZipFileSet` | `zipFileSet(groovy.lang.Closure configureClosure)`
`ZipFileSet` | `zipFileSet(java.util.Map args = [:], groovy.lang.Closure configureClosure = null)`

Methods inherited from class AbstractArchiveTask
addFileSetInternal, antDirective, createAntArchiveTask, createFileSetInternal, fileSet, fileSet, from, generateArchive, getAllSource, getAppendix, getArchiveName, getArchivePath, getBaseDir, getBaseName, getClassifier, getCustomName, getDestinationDir, getExtension, getMergeFileSets, getMergeGroupFileSets, getResourceCollections, getVersion, merge, mergeGroup, resourceCollections, setAppendix, setBaseDir, setBaseName, setClassifier, setCreateIfEmpty, setCustomName, setDestinationDir, setExtension, setMergeFileSets, setMergeGroupFileSets, setResourceCollections, setVersion

Property Detail

### ZIP_EXTENSION

    public static final java.lang.String ZIP_EXTENSION

### antZip

    AntZip antZip

Constructor Detail

### Zip

    public Zip()

Method Detail

### createAntArchiveTask

    groovy.lang.Closure createAntArchiveTask()

### getAntZip

    public AntZip getAntZip()

### setAntZip

    public void setAntZip(AntZip antZip)

### zipFileSet

    ZipFileSet zipFileSet(groovy.lang.Closure configureClosure)

### zipFileSet

    ZipFileSet zipFileSet(java.util.Map args = [:], groovy.lang.Closure configureClosure = null)

Groovy Documentation